using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;
using skyscraper8.Skyscraper.Scraper.Storage;

namespace skyscraper5.Skyscraper.Scraper.Storage.InMemory
{
	[SkyscraperPlugin]
    [StorageVolatile]
    [StorageName("In-Memory")]
    [StorageId(1)]
    public class InMemoryScraperStorageFactory : DataStorageFactory
    {
        public DataStorage CreateDataStorage()
        {
	        return new InMemoryScraperStorage();
        }
    }
}
